/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-14 15:32:06 UTC)
 * on 2013-08-19 at 20:53:17 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.siteVerification.model;

/**
 * Model definition for SiteVerificationWebResourceGettokenResponse.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Site Verification API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SiteVerificationWebResourceGettokenResponse extends com.google.api.client.json.GenericJson {

  /**
   * The verification method to use in conjunction with this token. For FILE, the token should be
   * placed in the top-level directory of the site, stored inside a file of the same name. For META,
   * the token should be placed in the HEAD tag of the default page that is loaded for the site. For
   * DNS, the token should be placed in a TXT record of the domain.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String method;

  /**
   * The verification token. The token must be placed appropriately in order for verification to
   * succeed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String token;

  /**
   * The verification method to use in conjunction with this token. For FILE, the token should be
   * placed in the top-level directory of the site, stored inside a file of the same name. For META,
   * the token should be placed in the HEAD tag of the default page that is loaded for the site. For
   * DNS, the token should be placed in a TXT record of the domain.
   * @return value or {@code null} for none
   */
  public java.lang.String getMethod() {
    return method;
  }

  /**
   * The verification method to use in conjunction with this token. For FILE, the token should be
   * placed in the top-level directory of the site, stored inside a file of the same name. For META,
   * the token should be placed in the HEAD tag of the default page that is loaded for the site. For
   * DNS, the token should be placed in a TXT record of the domain.
   * @param method method or {@code null} for none
   */
  public SiteVerificationWebResourceGettokenResponse setMethod(java.lang.String method) {
    this.method = method;
    return this;
  }

  /**
   * The verification token. The token must be placed appropriately in order for verification to
   * succeed.
   * @return value or {@code null} for none
   */
  public java.lang.String getToken() {
    return token;
  }

  /**
   * The verification token. The token must be placed appropriately in order for verification to
   * succeed.
   * @param token token or {@code null} for none
   */
  public SiteVerificationWebResourceGettokenResponse setToken(java.lang.String token) {
    this.token = token;
    return this;
  }

  @Override
  public SiteVerificationWebResourceGettokenResponse set(String fieldName, Object value) {
    return (SiteVerificationWebResourceGettokenResponse) super.set(fieldName, value);
  }

  @Override
  public SiteVerificationWebResourceGettokenResponse clone() {
    return (SiteVerificationWebResourceGettokenResponse) super.clone();
  }

}
